from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSQLQueryComposer(XInterface, Protocol):
    def getQuery(self) -> str: ...
    def getComposedQuery(self) -> str: ...
    def getFilter(self) -> str: ...
    def getStructuredFilter(self) -> list[list[PropertyValue]]: ...
    def getOrder(self) -> str: ...
